"use strict";

module.exports = function promiseDelaySince(previousTimestamp, delay) {
	return new Promise((resolve, reject) => {
		let targetTime = previousTimestamp + delay;
		let currentTime = Date.now();

		if (currentTime > targetTime) {
			resolve();
		} else {
			setTimeout(() => {
				resolve();
			}, targetTime - currentTime);
		}
	});
};